Subject: Setting root for ftponly and guest users.

From: Jonathan Zamick <[email-masked]>
Date: Fri, 31 Mar 1995 11:12:42 -0800

I'm concerned with one problem with wu-ftpd as opposed to standard ftp.

We have a user class which only have access to to the system through
ftp. (Shell is /bin/false), home directory set to: ~ftp/./BobsPlace
(this is just a silly example cause that's the mood I'm in :)

Anyway, I hadn't noticed this, not having come in on an ftp account
for a bit, but their root is no longer ~ftp, it is now the real system's /
root.

This is needless to say a problem, since it circumvents the point of having
ftp only accounts.

Has anyone else encountered this, or have any ideas on ways of resecuring
a system? Considering wu-ftpd's reputation for being a benefit in terms of
security, this leaves me a bit puzzled.

Any help would be appreciated.

Jonathan.